diff --git a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
index 32e9399..ed9b7dc 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
+++ b/web/pgadmin/browser/server_groups/servers/templates/servers/servers.js
@@ -215,6 +215,11 @@ function($, _, S, pgAdmin, pgBrowser, alertify) {
             err['name'] = '{{ _('Name can be empty!') }}';
             errmsg = errmsg || err['name'];
           }
+          if (_.isUndefined(this.get('host')) ||this.get('host') == null || String(this.get('host')).replace(/^\s+|\s+$/g, '') == '') {
+            err['host'] = '{{ _('Host can be empty!') }}';
+            errmsg = errmsg || err['host'];
+          }
+
           this.errorModel.set(err);
diff --git a/web/pgadmin/browser/templates/browser/js/node.js b/web/pgadmin/browser/templates/browser/js/node.js
index 98f774b..a0e071a 100644
--- a/web/pgadmin/browser/templates/browser/js/node.js
+++ b/web/pgadmin/browser/templates/browser/js/node.js
@@ -851,7 +851,7 @@ function($, _, S, pgAdmin, Menu, Backbone, Alertify, pgBrowser, Backform) {
                   if (d && !_.isEmpty(d)) {
                     m.save({}, {
                       attrs: d,
-                      validate: true,
+                      validate: false,
                       cache: false,
                       success: function() {
                         onSaveFunc.call();
